## libticables 1.3.5+dfsg

=== src/win32/dha/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# src/win32/dha/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am adapted from Cygwin ioperm
# http://openwince.sourceforge.net/ioperm/
#
# Copyright (C) 2003 ETC s.r.o.
# Copyright (C) 2007 Kevin Kofler
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
# 02111-1307, USA.
#
# Written by Marcel Telka <marcel@telka.sk>, 2003.
#



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libticables2
pkgincludedir = $(includedir)/libticables2
pkglibdir = $(libdir)/libticables2
pkglibexecdir = $(libexecdir)/libticables2
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#bin_PROGRAMS = dhasetup$(EXEEXT)
am__append_1 = dhasetup.c dhahelper.h
subdir = src/win32/dha
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__dhasetup_SOURCES_DIST = dhasetup.c dhahelper.h
#am_dhasetup_OBJECTS = dhasetup.$(OBJEXT)
dhasetup_OBJECTS = $(am_dhasetup_OBJECTS)
dhasetup_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
SCRIPTS = $(bin_SCRIPTS)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(dhasetup_SOURCES)
DIST_SOURCES = $(am__dhasetup_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/debrouxl/tilp/tilibs/libticables/trunk/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/debrouxl/tilp/tilibs/libticables/trunk/missing autoconf
AUTOHEADER = ${SHELL} /home/debrouxl/tilp/tilibs/libticables/trunk/missing autoheader
AUTOMAKE = ${SHELL} /home/debrouxl/tilp/tilibs/libticables/trunk/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Os -g3 -Wall -W -Wno-unused-parameter -Werror=shadow -Werror=write-strings -Werror=redundant-decls -Werror=format -Werror=format-nonliteral -Werror=format-security -Werror=declaration-after-statement -Werror=implicit-function-declaration -Werror=date-time -Werror=missing-prototypes -Werror=return-type -Werror=pointer-arith -fstack-protector-all -Wstack-protector --param=ssp-buffer-size=1 -fsanitize=undefined,bounds  -D__LINUX__ -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = -D_FORTIFY_SOURCE=2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GETTEXT_MACRO_VERSION = 0.18
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
GLIB_LIBS = -lglib-2.0
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUSB10_CFLAGS = -I/usr/include/libusb-1.0
LIBUSB10_LIBS = -lusb-1.0
LIBUSB_CFLAGS = 
LIBUSB_LIBS = 
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_LIBVERSION = 7:0:0
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAKEINFO = ${SHELL} /home/debrouxl/tilp/tilibs/libticables/trunk/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libticables2
PACKAGE_BUGREPORT = tilp-users@lists.sourceforge.net
PACKAGE_NAME = libticables2
PACKAGE_STRING = libticables2 1.3.5
PACKAGE_TARNAME = libticables2
PACKAGE_URL = 
PACKAGE_VERSION = 1.3.5
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /home/Lionel_Debroux/lib/pkgconfig:
POSUB = po
RANLIB = ranlib
RC = windres
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TFDOCGEN = yes
USE_NLS = yes
VERSION = 1.3.5
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
abs_builddir = /home/debrouxl/tilp/tilibs/libticables/trunk/src/win32/dha
abs_srcdir = /home/debrouxl/tilp/tilibs/libticables/trunk/src/win32/dha
abs_top_builddir = /home/debrouxl/tilp/tilibs/libticables/trunk
abs_top_srcdir = /home/debrouxl/tilp/tilibs/libticables/trunk
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}

=== src/win64/rwp/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# src/win64/rwp/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am adapted from Cygwin ioperm
# http://openwince.sourceforge.net/ioperm/
#
# Copyright (C) 2003 ETC s.r.o.
# Copyright (C) 2007 Kevin Kofler
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#
# Written by Marcel Telka <marcel@telka.sk>, 2003.
#



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libticables2
pkgincludedir = $(includedir)/libticables2
pkglibdir = $(libdir)/libticables2
pkglibexecdir = $(libexecdir)/libticables2
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#bin_PROGRAMS = rwpsetup$(EXEEXT)
am__append_1 = rwpsetup.c rwports.h
subdir = src/win64/rwp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__rwpsetup_SOURCES_DIST = rwpsetup.c rwports.h
#am_rwpsetup_OBJECTS = rwpsetup.$(OBJEXT)
rwpsetup_OBJECTS = $(am_rwpsetup_OBJECTS)
rwpsetup_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
SCRIPTS = $(bin_SCRIPTS)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(rwpsetup_SOURCES)
DIST_SOURCES = $(am__rwpsetup_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/debrouxl/tilp/tilibs/libticables/trunk/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/debrouxl/tilp/tilibs/libticables/trunk/missing autoconf
AUTOHEADER = ${SHELL} /home/debrouxl/tilp/tilibs/libticables/trunk/missing autoheader
AUTOMAKE = ${SHELL} /home/debrouxl/tilp/tilibs/libticables/trunk/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Os -g3 -Wall -W -Wno-unused-parameter -Werror=shadow -Werror=write-strings -Werror=redundant-decls -Werror=format -Werror=format-nonliteral -Werror=format-security -Werror=declaration-after-statement -Werror=implicit-function-declaration -Werror=date-time -Werror=missing-prototypes -Werror=return-type -Werror=pointer-arith -fstack-protector-all -Wstack-protector --param=ssp-buffer-size=1 -fsanitize=undefined,bounds  -D__LINUX__ -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = -D_FORTIFY_SOURCE=2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GETTEXT_MACRO_VERSION = 0.18
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
GLIB_LIBS = -lglib-2.0
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUSB10_CFLAGS = -I/usr/include/libusb-1.0
LIBUSB10_LIBS = -lusb-1.0
LIBUSB_CFLAGS = 
LIBUSB_LIBS = 
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_LIBVERSION = 7:0:0
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAKEINFO = ${SHELL} /home/debrouxl/tilp/tilibs/libticables/trunk/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libticables2
PACKAGE_BUGREPORT = tilp-users@lists.sourceforge.net
PACKAGE_NAME = libticables2
PACKAGE_STRING = libticables2 1.3.5
PACKAGE_TARNAME = libticables2
PACKAGE_URL = 
PACKAGE_VERSION = 1.3.5
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /home/Lionel_Debroux/lib/pkgconfig:
POSUB = po
RANLIB = ranlib
RC = windres
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TFDOCGEN = yes
USE_NLS = yes
VERSION = 1.3.5
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
abs_builddir = /home/debrouxl/tilp/tilibs/libticables/trunk/src/win64/rwp
abs_srcdir = /home/debrouxl/tilp/tilibs/libticables/trunk/src/win64/rwp
abs_top_builddir = /home/debrouxl/tilp/tilibs/libticables/trunk
abs_top_srcdir = /home/debrouxl/tilp/tilibs/libticables/trunk
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}

=== debian/changelog ===
libticables (1.3.5+dfsg-3) unstable; urgency=medium

  * Use dh_* commands everywhere in autopkgtest.
  * Provide appstream metadata.  Suggest packages that use the functionality.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 25 May 2018 12:07:23 +0300

libticables (1.3.5+dfsg-2) unstable; urgency=medium

  * Implement autopkgtest.  Run upstream checks linked to installed libs.
  * Install upstream changelog.

 -- Andreas B. Mundt <andi@debian.org>  Tue, 22 May 2018 17:58:09 +0300

libticables (1.3.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.5+dfsg
  * Remove patches, already applied upstream.
  * Update Vcs-* links to 'salsa.debian.org'.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Bump compatibility level to 11, remove -dbg package entry.
  * Update dependencies and 'rules'.
  * Bump SONAME and update symbols file.
  * DEP-5 copyright and update 'debian/watch'.
  * Switch to libusb 1.0 (closes: #810443).

 -- Andreas B. Mundt <andi@debian.org>  Sat, 19 May 2018 08:55:43 +0300

=== debian/control ===
Source: libticables
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: debhelper (>= 11.0.0),
               gettext,
               libglib2.0-dev,
               libusb-1.0-0-dev,
               pkg-config,
               tfdocgen
Standards-Version: 4.1.4
Section: libs
Homepage: http://lpg.ticalc.org/prj_tilp/
Vcs-Git: https://salsa.debian.org/science-team/libticables.git
Vcs-Browser: https://salsa.debian.org/science-team/libticables

Package: libticables-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev,
         libticables2-7 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Texas Instruments link cables library [development files]
 The libticables is a library providing support for operations on Texas
 Instruments calculators link cables. All link cables are supported read/write.
 .
 This package provides the development files for the library, static library,
 required headers and documentation.

Package: libticables2-7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: gfm, tiemu, tilem, tilp2
Replaces: libticables2-6
Conflicts: libticables2-6
Description: Texas Instruments link cables library
 The libticables is a library providing support for operations on Texas
 Instruments calculators link cables. All link cables are supported read/write.
 .
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-libusb10

override_dh_installudev:
	dh_installudev --priority 69

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg" \
https://sf.net/tilp/libticables2-(.+)\.tar\.bz2

## libticables 1.3.6~git20220301.8ffa244+dfsg

=== debian/changelog ===
libticables (1.3.6~git20220301.8ffa244+dfsg-1) unstable; urgency=medium

  * Document upstream sources and tarball handling.
  * New upstream version 1.3.6~git20220301.8ffa244+dfsg
  * Remove patches applied upstream.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Bump SONAME and update symbols file.
  * Switch to GPL-2 and no root needed (thanks lintian).
  * Update upstream homepage URL.
  * Fix missing docs.
  * Switch on hardening.

 -- Andreas B. Mundt <andi@debian.org>  Thu, 11 Aug 2022 14:43:59 +0200

libticables (1.3.5+dfsg-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Fix FTBFS on riscv (Closes: #996262)

  [ Ileana Dumitrescu ]
  * Update to debhelper-compat version 13
  * Added debian/not-installed

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Mon, 18 Apr 2022 16:50:48 +0300

=== debian/control ===
Source: libticables
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: debhelper-compat (= 13),
               gettext,
               libglib2.0-dev,
               libusb-1.0-0-dev,
               pkg-config,
               tfdocgen
Standards-Version: 4.6.1
Rules-Requires-Root: no
Section: libs
Homepage: https://github.com/debrouxl/tilibs
Vcs-Git: https://salsa.debian.org/science-team/libticables.git
Vcs-Browser: https://salsa.debian.org/science-team/libticables

Package: libticables-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev,
         libticables2-8 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Texas Instruments link cables library [development files]
 The libticables is a library providing support for operations on Texas
 Instruments calculators link cables. All link cables are supported read/write.
 .
 This package provides the development files for the library, static library,
 required headers and documentation.

Package: libticables2-8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: gfm, tiemu, tilem, tilp2
Replaces: libticables2-7
Conflicts: libticables2-7
Description: Texas Instruments link cables library
 The libticables is a library providing support for operations on Texas
 Instruments calculators link cables. All link cables are supported read/write.
 .
 This package provides the shared library.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.3.6~git%cd.%h ,dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg1" \
https://github.com/debrouxl/tilibs/ \
HEAD

## libticables 1.3.6~git20221211.4646a7b%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libusb-1.0-0-dev,
                pkg-config,
                tfdocgen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/debrouxl/tilibs

## libticables 1.3.6~git20221211.4646a7b+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(libticables2
        VERSION     1.3.6
        LANGUAGES   CXX)

file(GLOB HEADER_FILES src/*.h)
set(SRC_FILES
        ${HEADER_FILES}
        src/data_log.cc
        src/detect.cc
        src/error.cc
        src/hex2dbus.cc
        src/hex2dusb.cc
        src/hex2nsp.cc
        src/ioports.cc
        src/link_blk.cc
        src/link_gry.cc
        src/link_nul.cc
        src/link_par.cc
        src/link_tcpc.cc
        src/link_tcps.cc
        src/link_tie.cc
        src/link_usb.cc
        src/link_vti.cc
        src/link_xxx.cc
        src/log_dbus.cc
        src/log_dusb.cc
        src/log_hex.cc
        src/log_nsp.cc
        src/none.cc
        src/probe.cc
        src/ticables.cc
        src/type2str.cc)

set(PUBLIC_HEADERS
        src/ticables.h
        src/export1.h
        src/timeout.h)

# external deps lookup
pkg_check_modules(DEPS REQUIRED glib-2.0 libusb-1.0>=1.0.16)

# check includes for parallel and serial support
include(CheckIncludeFile)
CHECK_INCLUDE_FILE(linux/parport.h HAVE_LINUX_PARPORT_H)
CHECK_INCLUDE_FILE(linux/serial.h HAVE_LINUX_SERIAL_H)

try_static_libs_if_needed()

# Needed for the .pc files configured in the function below.
set(TICABLES_LIBUSB_REQUIRES_PRIVATE "libusb-1.0")

# auto-creation of all targets with flags etc.
create_targets_both_lib_types(ticables2)

set_target_properties(ticables2_shared PROPERTIES VERSION 8.0.0 SOVERSION 8)

# Takes care of the i18n po/pot/gmo/mo files
if(ENABLE_NLS)
    i18n_mo_from_po_pot()
    add_dependencies(ticables2_objlib potfiles_2)
endif()

# additional internal defines
target_compile_definitions(ticables2_objlib PUBLIC HAVE_LIBUSB_1_0=1 HAVE_LIBUSB10_STRERROR=1 HAVE_TERMIOS_H=1)

# check includes for parallel and serial support
if (HAVE_LINUX_PARPORT_H)
    target_compile_definitions(ticables2_objlib PUBLIC HAVE_LINUX_PARPORT_H=1)
endif()
if (HAVE_LINUX_SERIAL_H)
    target_compile_definitions(ticables2_objlib PUBLIC HAVE_LINUX_SERIAL_H=1)
endif()

# public export define
target_compile_definitions(ticables2_objlib PUBLIC TICABLES_EXPORTS)

option(ENABLE_LOGGING "Whether to build with cables logging enabled (default ON)" ON)
if(ENABLE_LOGGING)
    target_compile_definitions(ticables2_objlib PUBLIC ENABLE_LOGGING=1)
else()
    message("Building ${PROJECT_NAME} with logging disabled")
endif()

# tests
add_subdirectory(tests)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(libticables2-tests
        LANGUAGES   C CXX)

add_executable(torture_ticables torture_ticables.c)
add_executable(test_ticables_2 test_ticables_2.cc)

pkg_check_modules(DEPS REQUIRED glib-2.0)

foreach(tar torture_ticables test_ticables_2)
    target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})

    target_include_directories(${tar} PRIVATE
        ${CMAKE_SOURCE_DIR}/libticables/trunk/src)

    target_link_libraries(${tar} ticables2_shared "${DEPS_LDFLAGS}" ${DEPS_LIBRARIES})
endforeach()

set(builddirlibpaths "${CMAKE_BINARY_DIR}/libticables/trunk")

add_custom_target(ticables2_check
    COMMAND ${CMAKE_COMMAND} -E env LD_LIBRARY_PATH="${builddirlibpaths}" ${CMAKE_CURRENT_BINARY_DIR}/torture_ticables
    DEPENDS torture_ticables
    COMMENT "Run the ticables2 torture tests"
    EXCLUDE_FROM_ALL
)

=== debian/changelog ===
libticables (1.3.6~git20221211.4646a7b+dfsg-1) unstable; urgency=medium

  * Extract sources for our package from upstream git automatically.
  * Fix hardening: Add CFLAGS.
  * Switch to permissive license CC0-1.0 for AppStream meta data.
  * Skip DFSG repack-count number in watch file.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * New upstream version 1.3.6~git20221211.4646a7b+dfsg
  * Use a separate file for every library.
  * Skip installing file in none UTF-8 encoding.

 -- Andreas B. Mundt <andi@debian.org>  Sat, 24 Dec 2022 10:05:16 +0100

## libticables 1.3.6~git20230505.27586cc+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.12)
 
 project(libticables2
         VERSION     1.3.6
@@ -38,13 +38,13 @@
         src/export1.h
         src/timeout.h)
 
+if(WIN32)
+    list(APPEND HEADER_FILES "src/win64/rwp.h")
+    list(APPEND SRC_FILES "src/win64/rwp.c")
+endif()
+
 # external deps lookup
 pkg_check_modules(DEPS REQUIRED glib-2.0 libusb-1.0>=1.0.16)
-
-# check includes for parallel and serial support
-include(CheckIncludeFile)
-CHECK_INCLUDE_FILE(linux/parport.h HAVE_LINUX_PARPORT_H)
-CHECK_INCLUDE_FILE(linux/serial.h HAVE_LINUX_SERIAL_H)
 
 try_static_libs_if_needed()
 
@@ -66,11 +66,16 @@
 target_compile_definitions(ticables2_objlib PUBLIC HAVE_LIBUSB_1_0=1 HAVE_LIBUSB10_STRERROR=1 HAVE_TERMIOS_H=1)
 
 # check includes for parallel and serial support
-if (HAVE_LINUX_PARPORT_H)
-    target_compile_definitions(ticables2_objlib PUBLIC HAVE_LINUX_PARPORT_H=1)
-endif()
-if (HAVE_LINUX_SERIAL_H)
-    target_compile_definitions(ticables2_objlib PUBLIC HAVE_LINUX_SERIAL_H=1)
+if(LINUX)
+    include(CheckIncludeFile)
+    CHECK_INCLUDE_FILE(linux/parport.h HAVE_LINUX_PARPORT_H)
+    CHECK_INCLUDE_FILE(linux/serial.h HAVE_LINUX_SERIAL_H)
+    if (HAVE_LINUX_PARPORT_H)
+        target_compile_definitions(ticables2_objlib PUBLIC HAVE_LINUX_PARPORT_H=1)
+    endif()
+    if (HAVE_LINUX_SERIAL_H)
+        target_compile_definitions(ticables2_objlib PUBLIC HAVE_LINUX_SERIAL_H=1)
+    endif()
 endif()
 
 # public export define

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.12)
 
 project(libticables2-tests
         LANGUAGES   C CXX)
@@ -6,7 +6,7 @@
 add_executable(torture_ticables torture_ticables.c)
 add_executable(test_ticables_2 test_ticables_2.cc)
 
-pkg_check_modules(DEPS REQUIRED glib-2.0)
+pkg_check_modules(DEPS REQUIRED glib-2.0 libusb-1.0>=1.0.16)
 
 foreach(tar torture_ticables test_ticables_2)
     target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})
@@ -14,7 +14,11 @@
     target_include_directories(${tar} PRIVATE
         ${CMAKE_SOURCE_DIR}/libticables/trunk/src)
 
-    target_link_libraries(${tar} ticables2_shared "${DEPS_LDFLAGS}" ${DEPS_LIBRARIES})
+    target_link_directories(${tar} PRIVATE
+        ${DEPS_LIBRARY_DIRS}
+        ${CMAKE_BINARY_DIR}/libticables/trunk)
+
+    target_link_libraries(${tar} ${DEPS_LIBRARIES} ticables2_shared)
 endforeach()
 
 set(builddirlibpaths "${CMAKE_BINARY_DIR}/libticables/trunk")

=== debian/changelog ===
libticables (1.3.6~git20230505.27586cc+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.6~git20230505.27586cc+dfsg
  * Remove files not cleaned up properly. (Closes: #1049102).

 -- Andreas B. Mundt <andi@debian.org>  Wed, 16 Aug 2023 09:05:19 +0200

## libticables 1.3.6~git20231126.f67c953%2Bdfsg

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=1.3.6~git%cd.%h,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://github.com/debrouxl/tilibs/ \
HEAD debian debian/clean-orig-source

## libticables 1.3.6~git20231126.f67c953+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,15 +44,25 @@
 endif()
 
 # external deps lookup
-pkg_check_modules(DEPS REQUIRED glib-2.0 libusb-1.0>=1.0.16)
+if(WIN32)
+    pkg_check_modules(DEPS REQUIRED glib-2.0)
+    list(APPEND DEPS_LIBRARIES "libusb0")
+    list(APPEND DEPS_STATIC_LIBRARIES "libusb0")
+else()
+    pkg_check_modules(DEPS REQUIRED glib-2.0 libusb-1.0>=1.0.16)
+    # Needed for the .pc files configured in the function below.
+    set(TICABLES_LIBUSB_REQUIRES_PRIVATE "libusb-1.0")
+endif()
 
 try_static_libs_if_needed()
 
-# Needed for the .pc files configured in the function below.
-set(TICABLES_LIBUSB_REQUIRES_PRIVATE "libusb-1.0")
-
 # auto-creation of all targets with flags etc.
 create_targets_both_lib_types(ticables2)
+
+if(NOT WIN32)
+    # additional internal defines
+    target_compile_definitions(ticables2_objlib PUBLIC HAVE_LIBUSB_1_0=1 HAVE_LIBUSB10_STRERROR=1 HAVE_TERMIOS_H=1)
+endif()
 
 set_target_properties(ticables2_shared PROPERTIES VERSION 8.0.0 SOVERSION 8)
 
@@ -61,9 +71,6 @@
     i18n_mo_from_po_pot()
     add_dependencies(ticables2_objlib potfiles_2)
 endif()
-
-# additional internal defines
-target_compile_definitions(ticables2_objlib PUBLIC HAVE_LIBUSB_1_0=1 HAVE_LIBUSB10_STRERROR=1 HAVE_TERMIOS_H=1)
 
 # check includes for parallel and serial support
 if(LINUX)

=== debian/changelog ===
libticables (1.3.6~git20231126.f67c953+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:46:14 +0000

libticables (1.3.6~git20231126.f67c953+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:30:10 +0000

libticables (1.3.6~git20231126.f67c953+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.6~git20231126.f67c953+dfsg

 -- Andreas B. Mundt <andi@debian.org>  Fri, 05 Jan 2024 12:17:00 +0100

libticables (1.3.6~git20230505.27586cc+dfsg-2) unstable; urgency=medium

  * Migrate libticables from experimental to unstable, since dumat didn't croak
    on the migration of the udev rule from lib to usr/lib, thanks to the
    temporary diversion at package installation time.

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Dec 2023 11:42:37 +0100

libticables (1.3.6~git20230505.27586cc+dfsg-2~0exp0) experimental; urgency=medium

  * Team upload.
  * d/libticables2-8.{preinst,postinst,postrm}: diversion.
    /lib/udev/rules.d/69-libticables2-8.rules may disappear when
    dh_installudev will move files to /usr/lib in certain multi-arch
    setups, so this files needs protection using diversion before this
    occurs.  Upload to experimental so that dumat can catch regressions in
    the upcoming three days.
    Thanks to Helmut Grohne
  * d/libticables2-8.lintian-overrides: new.
    Override the unrecognized diversion on the udev rule.
  * d/rules: build --with movetousr.
    This moves the /lib udev rule to /usr/lib.  This can be safely removed
    once dh_installudev implements this change itself.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Nov 2023 17:40:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libticables
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@  --with autoreconf
+	dh $@  --with autoreconf --with movetousr
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-libusb10

## libticables 1.3.6~git20240415.7c4858d%2Bdfsg

=== debian/changelog ===
libticables (1.3.6~git20240415.7c4858d+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.6~git20240415.7c4858d+dfsg
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Switch to newer pkgconf.
  * Remove '--with movetousr', not needed any more.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 29 May 2024 18:56:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@  --with autoreconf --with movetousr
+	dh $@  --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-libusb10

## libticables 1.3.6~git20240415.7c4858d+dfsg

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(libticables2-tests
        LANGUAGES   C CXX)

add_executable(torture_ticables torture_ticables.c)
add_executable(test_ticables_2 test_ticables_2.cc)

if(WIN32)
    pkg_check_modules(DEPS REQUIRED glib-2.0)
    list(APPEND DEPS_LIBRARIES "libusb0")
    list(APPEND DEPS_STATIC_LIBRARIES "libusb0")
else()
    pkg_check_modules(DEPS REQUIRED glib-2.0 libusb-1.0>=1.0.16)
endif()

foreach(tar torture_ticables test_ticables_2)
    target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})

    target_include_directories(${tar} PRIVATE
        ${PROJECT_SOURCE_DIR}/../src)

    if(TRY_STATIC_LIBS)
        target_compile_options(${tar} PRIVATE ${DEPS_STATIC_CFLAGS})
        target_link_directories(${tar} PRIVATE ${TRY_STATIC_DEPS_LIBSDIRS})
        target_link_libraries(${tar} ${TRY_STATIC_DEPS_LDFLAGS_OTHER} ${TRY_STATIC_DEPS_LIBS} ticables2_objlib)
    else()
        target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})
        target_link_directories(${tar} PRIVATE ${DEPS_LIBRARY_DIRS} ${PROJECT_BINARY_DIR}/..)
        target_link_libraries(${tar} ${DEPS_LIBRARIES} ticables2_objlib)
    endif()
endforeach()

set(builddirlibpaths "${PROJECT_BINARY_DIR}")

add_custom_target(ticables2_check
    COMMAND ${CMAKE_COMMAND} -E env LD_LIBRARY_PATH="${builddirlibpaths}" ${CMAKE_CURRENT_BINARY_DIR}/torture_ticables
    DEPENDS torture_ticables
    COMMENT "Run the ticables2 torture tests"
    EXCLUDE_FROM_ALL
)

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: libticables
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
                libglib2.0-dev,
                libusb-1.0-0-dev,
-               pkg-config,
+               pkgconf,
                tfdocgen
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/debrouxl/tilibs
@@ -22,7 +21,7 @@
 Multi-Arch: same
 Depends: libglib2.0-dev,
          libticables2-8 (= ${binary:Version}),
-         pkg-config,
+         pkgconf,
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Texas Instruments link cables library [development files]

=== debian/tests/control ===
Tests: make-check
Depends: libticables-dev, @builddeps@
Restrictions: allow-stderr
